=begin
---------------------------------------------------------- Class: Kernel
     Since Ruby is very dynamic, methods added to the ancestors of
     BlankSlate _after BlankSlate is defined_ will show up in the list
     of available BlankSlate methods. We handle this by defining a hook
     in the Object and Kernel classes that will hide any method defined
     after BlankSlate has been loaded.

------------------------------------------------------------------------
     Extensions for Kernel

------------------------------------------------------------------------


Class methods:
--------------
     method_added


Instance methods:
-----------------
     __DIR__, acquire, breakpoint, constant, daemonize, debugger,
     enable_warnings, pretty_inspect, require, require_library_or_gem,
     silence_stream, silence_warnings, suppress

=end
module Kernel

  def self.format(arg0, arg1, *rest)
  end

  def self.exit(arg0, arg1, *rest)
  end

  def self.chomp!(arg0, arg1, *rest)
  end

  def self.print(arg0, arg1, *rest)
  end

  def self.system(arg0, arg1, *rest)
  end

  def self.require(arg0)
  end

  def self.autoload?(arg0)
  end

  def self.Integer(arg0)
  end

  def self.untrace_var(arg0, arg1, *rest)
  end

  def self.getc
  end

  def self.URI(arg0)
  end

  def self.eval(arg0, arg1, *rest)
  end

  def self.block_given?
  end

  def self.catch(arg0)
  end

  def self.sub(arg0, arg1, *rest)
  end

  def self.gets(arg0, arg1, *rest)
  end

  def self.exit!(arg0, arg1, *rest)
  end

  def self.lambda
  end

  def self.sprintf(arg0, arg1, *rest)
  end

  def self.Array(arg0)
  end

  def self.caller(arg0, arg1, *rest)
  end

  def self.chop!
  end

  def self.scan(arg0)
  end

  def self.printf(arg0, arg1, *rest)
  end

  def self.exec(arg0, arg1, *rest)
  end

  def self.load(arg0, arg1, *rest)
  end

  def self.loop
  end

  def self.local_variables
  end

  def self.trace_var(arg0, arg1, *rest)
  end

  def self.chomp(arg0, arg1, *rest)
  end

  def self.callcc
  end

  def self.p(arg0, arg1, *rest)
  end

  def self.iterator?
  end

  def self.at_exit
  end

  def self.puts(arg0, arg1, *rest)
  end

  def self.rand(arg0, arg1, *rest)
  end

  def self.fork
  end

  def self.proc
  end

  def self.String(arg0)
  end

  def self.method_missing(arg0, arg1, *rest)
  end

  def self.fail(arg0, arg1, *rest)
  end

  def self.gsub!(arg0, arg1, *rest)
  end

  def self.warn(arg0)
  end

  def self.open(arg0, arg1, *rest)
  end

  def self.global_variables
  end

  def self.chop
  end

  def self.readlines(arg0, arg1, *rest)
  end

  def self.test(arg0, arg1, *rest)
  end

  def self.abort(arg0, arg1, *rest)
  end

  def self.putc(arg0)
  end

  def self.select(arg0, arg1, *rest)
  end

  def self.`(arg0)
  end

  def self.srand(arg0, arg1, *rest)
  end

  def self.sleep(arg0, arg1, *rest)
  end

  def self.autoload(arg0, arg1)
  end

  def self.binding
  end

  def self.Float(arg0)
  end

  def self.raise(arg0, arg1, *rest)
  end

  def self.set_trace_func(arg0)
  end

  def self.sub!(arg0, arg1, *rest)
  end

  def self.syscall(arg0, arg1, *rest)
  end

  def self.throw(arg0, arg1, *rest)
  end

  def self.gsub(arg0, arg1, *rest)
  end

  def self.split(arg0, arg1, *rest)
  end

  def self.readline(arg0, arg1, *rest)
  end

  def self.trap(arg0, arg1, *rest)
  end

  # -------------------------------------------------- Kernel#pretty_inspect
  #      pretty_inspect()
  # ------------------------------------------------------------------------
  #      returns a pretty printed object as a string.
  # 
  def inspect
  end

  def clone
  end

  def method(arg0)
  end

  def public_methods(arg0, arg1, *rest)
  end

  def instance_variable_defined?(arg0)
  end

  def equal?(arg0)
  end

  def freeze
  end

  def methods(arg0, arg1, *rest)
  end

  def respond_to?(arg0, arg1, *rest)
  end

  def dup
  end

  def require_gem(arg0, arg1, arg2, *rest)
  end

  def instance_variables
  end

  def __id__
  end

  def object_id
  end

  def eql?(arg0)
  end

  # --------------------------------------------------------- Kernel#require
  #      require(*a, &b)
  # ------------------------------------------------------------------------
  #      (no description...)
  def require(arg0)
  end

  def id
  end

  # ------------------------------------------ Kernel#require_library_or_gem
  #      require_library_or_gem(library_name)
  # ------------------------------------------------------------------------
  #      Require a library with fallback to RubyGems. Warnings during
  #      library loading are silenced to increase signal/noise for
  #      application warnings.
  # 
  def gem(arg0, arg1, arg2, *rest)
  end

  def singleton_methods(arg0, arg1, *rest)
  end

  def send(arg0, arg1, *rest)
  end

  def taint
  end

  def frozen?
  end

  def instance_variable_get(arg0)
  end

  def __send__(arg0, arg1, *rest)
  end

  def instance_of?(arg0)
  end

  def to_a
  end

  def type
  end

  def protected_methods(arg0, arg1, *rest)
  end

  def instance_eval(arg0, arg1, *rest)
  end

  def ==(arg0)
  end

  def display(arg0, arg1, *rest)
  end

  def ===(arg0)
  end

  def instance_variable_set(arg0, arg1)
  end

  def kind_of?(arg0)
  end

  def extend(arg0, arg1, *rest)
  end

  def to_s
  end

  def hash
  end

  def class
  end

  def tainted?
  end

  def =~(arg0)
  end

  def private_methods(arg0, arg1, *rest)
  end

  def nil?
  end

  def untaint
  end

  def is_a?(arg0)
  end

end
