=begin
-------------------------------------------------------- Class: NilClass
     Extensions to nil which allow for more helpful error messages for
     people who are new to rails.

     The aim is to ensure that when users pass nil to methods where that
     isn't appropriate, instead of NoMethodError and the name of some
     method used by the framework users will see a message explaining
     what type of object was expected.

------------------------------------------------------------------------


Instance methods:
-----------------
     to_param

=end
class NilClass < Object

  def self.yaml_tag_subclasses?
  end

  def to_f
  end

  def to_s
  end

  def |(arg0)
  end

  def to_i
  end

  def to_yaml(arg0, arg1, *rest)
  end

  def to_a
  end

  def &(arg0)
  end

  def ^(arg0)
  end

  def nil?
  end

  def taguri
  end

  def inspect
  end

  def taguri=(arg0)
  end

end
